Subject: Re: [PATCH net] bonding: do not assume skb mac_header is set

From: Jay Vosburgh <[email-masked]>
Date: Thu, 22 Jun 2023 12:31:39 -0700

Eric Dumazet <[email-masked]> wrote:

>On Thu, Jun 22, 2023 at 9:00 PM Eric Dumazet <[email-masked]> wrote:
>>
>
>> Ah right, I will send another patch to remove it then.
>>
>> I think it makes sense to keep the first patch small for backports.
>>
>> History of relevant patches :
>>
>> from 5.17
>>
>> 429e3d123d9a50cc9882402e40e0ac912d88cfcf bonding: Fix extraction of
>> ports from the packet headers
>>
>> from 5.15
>>
>> a815bde56b15ce626caaacc952ab12501671e45d net, bonding: Refactor
>> bond_xmit_hash for use with xdp_buff
>
>If this is ok for you, I will cook this cleanup patch for net-next.

	Yes, this sounds fine to me.

	-J

---
	-Jay Vosburgh, [email-masked]